%include	/usr/lib/rpm/macros.perl
Summary:	Simple mail statistics for Postfix
Summary(pl.UTF-8):	Proste statystyki dla Postfiksa
Name:		mailgraph
Version:	1.14
Release:	3
License:	GPL v2
Group:		Applications/Networking
Source0:	http://mailgraph.schweikert.ch/pub/%{name}-%{version}.tar.gz
# Source0-md5:	0f0ae91968ea7ae0c1d14985c560530b
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-apache.conf
Source4:	lighttpd.conf
Source5:	http://oss.oetiker.ch/rrdtool/.pics/rrdtool.gif
# Source5-md5:	51ab9e952ecfffa45b2c65eacc93f3a2
Source6:	%{name}-httpd.conf
Patch0:		%{name}-paths.patch
Patch1:		%{name}-postfix_rbl.patch
Patch2:		clamd-enable.patch
Patch3:		rrdtool-url.patch
URL:		http://mailgraph.schweikert.ch/
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(triggerpostun):	sed >= 4.0
Requires:	postfix
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_prefix}/lib/cgi-bin/%{_webapp}
%define		_pkglibdir	/var/lib/%{name}

%description
Mailgraph is a very simple mail statistics RRDtool frontend for
Postfix that produces daily, weekly, monthly and yearly graphs of
received/sent and bounced/rejected mail.

%description -l pl.UTF-8
Mailgraph to prosty frontend na RRDtool do statystyk pocztowych dla
Postfiksa. Produkuje wykresy dzienne, tygodniowe, miesięczne i roczne
poczty wysłanej/odebranej i odbitej/odrzuconej.

%package cgi
Summary:	CGI script for displaying mailgraph rrd data
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Requires:	webapps
Requires:	webserver
Requires:	webserver(cgi)
Conflicts:	apache-base < 2.4.0-1

%description cgi
CGI script for displaying mailgraph rrd data.

%prep
%setup	-q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
pod2man mailgraph.pl > mailgraph.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sysconfdir},%{_sbindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_appdir},%{_pkglibdir}/img,/var/log}

install -p mailgraph.cgi $RPM_BUILD_ROOT%{_appdir}/index.cgi
install -p mailgraph.pl $RPM_BUILD_ROOT%{_sbindir}/mailgraph.pl
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -a mailgraph.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mailgraph
touch $RPM_BUILD_ROOT/var/log/mailgraph.log

# cgi app
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
cp -a mailgraph.css $RPM_BUILD_ROOT%{_sysconfdir}/mailgraph.css
cp -a %{SOURCE5} $RPM_BUILD_ROOT%{_appdir}
ln -sf %{_sysconfdir}/mailgraph.css $RPM_BUILD_ROOT%{_appdir}/mailgraph.css

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart
if [ ! -f /var/log/mailgraph.log ]; then
	touch /var/log/mailgraph.log
	chown http /var/log/mailgraph.log
fi

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%triggerin cgi -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun cgi -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin cgi -- apache-base
%webapp_register httpd %{_webapp}

%triggerun cgi -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerin cgi -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun cgi -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%triggerpostun -- %{name} < 1.14-2.1
chown http:http %{_pkglibdir}/*.rrd

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mailgraph
%attr(754,root,root) /etc/rc.d/init.d/mailgraph
%attr(755,root,root) %{_sbindir}/mailgraph.pl
%{_mandir}/man1/mailgraph.1*
%attr(770,root,http) %dir %{_pkglibdir}
%ghost /var/log/mailgraph.log

%files cgi
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mailgraph.css
%dir %{_appdir}
%attr(755,root,root) %{_appdir}/index.cgi
%{_appdir}/mailgraph.css
%{_appdir}/rrdtool.gif
%attr(775,root,http) %dir %{_pkglibdir}/img
%changelog
* Wed May 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mailgraph.git;a=log;h=master

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> b656d6f
- migrated to apache 2.4

* Wed Jul 14 2010 Elan Ruusamäe <glen@pld-linux.org> ef92c21
- simplify

* Tue Jul 13 2010 Elan Ruusamäe <glen@pld-linux.org> d635816
- whitespace cleanup

* Tue Jul 13 2010 Elan Ruusamäe <glen@pld-linux.org> ae98726
- setup 1 minute expires in cgi side, the apache side doesn't work anyway

* Tue Jul 13 2010 Elan Ruusamäe <glen@pld-linux.org> b370069
- local copy of rrdtool.gif, not to make extra traffic outside

* Tue Jul 13 2010 Elan Ruusamäe <glen@pld-linux.org> d07b7f5
- lighttpd support

* Tue Jul 13 2010 Elan Ruusamäe <glen@pld-linux.org> 93ee19d
- move cgi to -cgi subpackage, main contains just collecting daemon
- switch to http user, drop hacking http user groups
- drop old migrate triggers

* Tue Jul 13 2010 Elan Ruusamäe <glen@pld-linux.org> 2abf958
- somewhy clamd was disabled, enable (thx algiss)

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> dda2846
- cosmetic

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> 103ea31
- build and package manual

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> 07a36bf
- unify

* Sun Mar 22 2009 Paweł Gołaszewski <blues@pld-linux.org> 7c497f6
- rel.2 - add css file

* Fri Dec 28 2007 zbyniu <zbyniu@pld-linux.org> eaf3e77
- up to 1.14

* Wed Jul 11 2007 Paweł Gołaszewski <blues@pld-linux.org> 7df2f0b
- rel.1

* Wed Jul 11 2007 Paweł Gołaszewski <blues@pld-linux.org> bad6b4c
- updated for 1.13

* Wed Jul 11 2007 Paweł Gołaszewski <blues@pld-linux.org> 830ec1e
- 1.13 - new URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1468d1a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 32b62a4
- converted to UTF-8

* Sun Oct 01 2006 Elan Ruusamäe <glen@pld-linux.org> 88c9b13
- rel 7

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> cd42ba4
- update webapp triggers due apache1 package split

